Name:           python-rsslib
Version:        0
Release:        13.20130310%{?dist}
Summary:        Create RSS feeds in Python
License:        Copyright only
URL:            http://berserk.org/rsslib/
Source0:        http://berserk.org/rsslib/rsslib.txt
BuildArch:      noarch
BuildRequires:  python2-devel


%global _description\
This library encapsulates the generation of an RSS (2.0) feed.\


%description %_description

%package -n python2-rsslib
Summary: %summary
%{?python_provide:%python_provide python2-rsslib}

%description -n python2-rsslib %_description

%prep
%setup -c -T
cp %{SOURCE0} ./rsslib.py
cat >setup.py <<EOS
#!/usr/bin/env python2

from distutils.core import setup

setup(name='rsslib',
      version='0',
      description='%{summary}',
      author='Cameron Mallory',
      author_email='cmallory@berserk.org',
      url='http://berserk.org/rsslib/',
      py_modules=['rsslib'],
     )
EOS


%build
python2 setup.py build


%install
python2 setup.py install -O1 --skip-build --root %{buildroot}


%files -n python2-rsslib
%{python2_sitelib}/*


%changelog
* Fri Jul 20 2018 Conrad Meyer <cemeyer@uw.edu> - 0-13.20130310
- Invoke 'python2' instead of removed 'python' interpreter

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0-12.20130310
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0-11.20130310
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0-10.20130310
- Python 2 binary package renamed to python2-rsslib
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-9.20130310
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-8.20130310
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-7.20130310
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0-6.20130310
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-5.20130310
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-4.20130310
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-3.20130310
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Mar 10 2013 Conrad Meyer <cemeyer@uw.edu> - 0-2.20130310
- BR python2-devel as per #917330
- Kill python_sitelib (same)
- Put date in release tag to allow for future version bumps (same)
- Incorporate setup macro (thanks to Alec Leamas)

* Sat Mar 2 2013 Conrad Meyer <cemeyer@uw.edu> - 0-1
- Initial package
